---
updatedAt: 2025-09-16T00:31:05.000Z
agentTools:
  projectIndex: https://developers.pandascore.co/llms.txt
---

# List heroes

List heroes
> ℹ️  
> 
> This endpoint is available to all customers

# OpenAPI definition

```json
{
  "components": {
    "parameters": {
      "Page": {
        "description": "Pagination in the form of `page=2` or `page[size]=30&page[number]=2`",
        "in": "query",
        "name": "page",
        "required": false,
        "schema": {
          "oneOf": [
            {
              "default": 1,
              "minimum": 1,
              "type": "integer"
            },
            {
              "additionalProperties": false,
              "properties": {
                "number": {
                  "default": 1,
                  "minimum": 1,
                  "type": "integer"
                },
                "size": {
                  "default": 50,
                  "maximum": 100,
                  "minimum": 1,
                  "type": "integer"
                }
              },
              "type": "object"
            }
          ]
        }
      },
      "PerPage": {
        "description": "Equivalent to `page[size]`",
        "example": 5,
        "in": "query",
        "name": "per_page",
        "required": false,
        "schema": {
          "default": 50,
          "maximum": 100,
          "minimum": 1,
          "type": "integer"
        }
      }
    },
    "responses": {
      "Dota2Heroes": {
        "content": {
          "application/json": {
            "examples": {
              "/dota2/heroes?page[size]=1": {
                "description": "/dota2/heroes?page[size]=1",
                "value": [
                  {
                    "id": 123,
                    "image_url": "https://cdn.pandascore.co/images/dota2/hero/image/123/primal_beast_icon-png",
                    "localized_name": "Primal Beast",
                    "name": "primal_beast"
                  }
                ]
              }
            },
            "schema": {
              "$ref": "#/components/schemas/Dota2Heroes"
            }
          }
        },
        "description": "A list of Dota2 heroes"
      },
      "Error400": {
        "content": {
          "application/json": {
            "schema": {
              "properties": {
                "error": {
                  "type": "string"
                }
              },
              "type": "object"
            }
          }
        },
        "description": "Bad request"
      },
      "Error401": {
        "content": {
          "application/json": {
            "schema": {
              "properties": {
                "error": {
                  "type": "string"
                }
              },
              "type": "object"
            }
          }
        },
        "description": "Unauthorized"
      },
      "Error403": {
        "content": {
          "application/json": {
            "schema": {
              "properties": {
                "error": {
                  "type": "string"
                }
              },
              "type": "object"
            }
          }
        },
        "description": "Forbidden"
      },
      "Error404": {
        "content": {
          "application/json": {
            "schema": {
              "properties": {
                "error": {
                  "type": "string"
                }
              },
              "type": "object"
            }
          }
        },
        "description": "Not found"
      },
      "Error422": {
        "content": {
          "application/json": {
            "schema": {
              "properties": {
                "error": {
                  "type": "string"
                }
              },
              "type": "object"
            }
          }
        },
        "description": "Unprocessable Entity"
      }
    },
    "schemas": {
      "Dota2Heroes": {
        "items": {
          "additionalProperties": false,
          "deprecated": false,
          "properties": {
            "id": {
              "minimum": 1,
              "title": "Dota2HeroID",
              "type": "integer"
            },
            "image_url": {
              "deprecated": false,
              "format": "uri",
              "nullable": true,
              "title": "Dota2HeroImageURL",
              "type": "string"
            },
            "localized_name": {
              "title": "Dota2HeroLocalizedName",
              "type": "string"
            },
            "name": {
              "minLength": 1,
              "pattern": "^[a-z0-9_-]+$",
              "title": "Dota2HeroSlug",
              "type": "string"
            }
          },
          "required": [
            "id",
            "image_url",
            "localized_name",
            "name"
          ],
          "title": "Dota2Hero",
          "type": "object"
        },
        "title": "Dota2Heroes",
        "type": "array"
      },
      "filter_over_Dota2Heroes": {
        "additionalProperties": false,
        "minProperties": 1,
        "properties": {
          "id": {
            "items": {
              "minimum": 1,
              "title": "Dota2HeroID",
              "type": "integer"
            },
            "minItems": 1,
            "type": "array"
          },
          "localized_name": {
            "items": {
              "title": "Dota2HeroLocalizedName",
              "type": "string"
            },
            "minItems": 1,
            "type": "array"
          },
          "name": {
            "items": {
              "minLength": 1,
              "pattern": "^[a-z0-9_-]+$",
              "title": "Dota2HeroSlug",
              "type": "string"
            },
            "minItems": 1,
            "type": "array"
          }
        },
        "type": "object"
      },
      "range_over_Dota2Heroes": {
        "additionalProperties": false,
        "minProperties": 1,
        "properties": {
          "id": {
            "items": {
              "minimum": 1,
              "title": "Dota2HeroID",
              "type": "integer"
            },
            "maxItems": 2,
            "minItems": 2,
            "type": "array"
          },
          "localized_name": {
            "items": {
              "title": "Dota2HeroLocalizedName",
              "type": "string"
            },
            "maxItems": 2,
            "minItems": 2,
            "type": "array"
          },
          "name": {
            "items": {
              "minLength": 1,
              "pattern": "^[a-z0-9_-]+$",
              "title": "Dota2HeroSlug",
              "type": "string"
            },
            "maxItems": 2,
            "minItems": 2,
            "type": "array"
          }
        },
        "type": "object"
      },
      "search_over_Dota2Heroes": {
        "additionalProperties": false,
        "minProperties": 1,
        "properties": {
          "localized_name": {
            "title": "Dota2HeroLocalizedName",
            "type": "string"
          },
          "name": {
            "minLength": 1,
            "pattern": "^[a-z0-9_-]+$",
            "title": "Dota2HeroSlug",
            "type": "string"
          }
        },
        "type": "object"
      },
      "sort_over_Dota2Heroes": {
        "items": {
          "enum": [
            "id",
            "-id",
            "localized_name",
            "-localized_name",
            "name",
            "-name"
          ]
        },
        "minItems": 1,
        "type": "array"
      }
    },
    "securitySchemes": {
      "BearerToken": {
        "scheme": "bearer",
        "type": "http"
      },
      "QueryToken": {
        "in": "query",
        "name": "token",
        "type": "apiKey"
      }
    }
  },
  "info": {
    "title": "Dota 2",
    "version": "2.62.6"
  },
  "openapi": "3.0.0",
  "paths": {
    "/dota2/heroes": {
      "get": {
        "description": "List heroes\n> ℹ️  \n> \n> This endpoint is available to all customers",
        "operationId": "get_dota2_heroes",
        "parameters": [
          {
            "description": "Options to filter results. String fields are case sensitive\nFor more information on filtering, see [docs](/docs/filtering-and-sorting#filter).",
            "explode": true,
            "in": "query",
            "name": "filter",
            "required": false,
            "schema": {
              "$ref": "#/components/schemas/filter_over_Dota2Heroes"
            },
            "style": "deepObject"
          },
          {
            "description": "Options to select results within ranges\nFor more information on ranges, see [docs](/docs/filtering-and-sorting#range).",
            "explode": true,
            "in": "query",
            "name": "range",
            "required": false,
            "schema": {
              "$ref": "#/components/schemas/range_over_Dota2Heroes"
            },
            "style": "deepObject"
          },
          {
            "description": "Options to sort results\nFor more information on sorting, see [docs](/docs/filtering-and-sorting#sort).",
            "in": "query",
            "name": "sort",
            "required": false,
            "schema": {
              "$ref": "#/components/schemas/sort_over_Dota2Heroes"
            }
          },
          {
            "description": "Options to search results\nFor more information on searching, see [docs](/docs/filtering-and-sorting#search).",
            "explode": true,
            "in": "query",
            "name": "search",
            "required": false,
            "schema": {
              "$ref": "#/components/schemas/search_over_Dota2Heroes"
            },
            "style": "deepObject"
          },
          {
            "$ref": "#/components/parameters/Page"
          },
          {
            "$ref": "#/components/parameters/PerPage"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/Dota2Heroes"
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "$ref": "#/components/responses/Error403"
          },
          "404": {
            "$ref": "#/components/responses/Error404"
          },
          "422": {
            "$ref": "#/components/responses/Error422"
          }
        },
        "summary": "List heroes",
        "tags": [
          "Dota2 heroes"
        ],
        "x-readme": {
          "code-samples": [
            {
              "code": "curl --request GET \\\n     --url 'https://api.pandascore.co/dota2/heroes' \\\n     --header 'accept: application/json'\n",
              "language": "curl"
            }
          ]
        }
      }
    }
  },
  "security": [
    {
      "BearerToken": []
    },
    {
      "QueryToken": []
    }
  ],
  "servers": [
    {
      "url": "https://api.pandascore.co/",
      "variables": {}
    }
  ],
  "x-readme": {
    "explorer-enabled": false,
    "samples-languages": [
      "curl"
    ]
  }
}
```